Subject: bug#54646: 29.0.50; set-fontset-font and font clipping issues

From: Eli Zaretskii <[email-masked]>
Date: Sat, 08 Oct 2022 16:00:43 +0300

> From: Visuwesh <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 08 Oct 2022 18:23:23 +0530
> 
> > If this is the original issue with incorrect advance width of the
> > glyphs, then why is it interesting whether it goes away when you close
> > all the frames?
> 
> Because, AFAIR, the workaround of closing all the frames did not work
> before but it does now.

But it is still a workaround, not a solution.

> > It will sooner or later appear again, and to solve the problem we
> > need to understand what causes that, no?
> 
> Yes, the issue shows itself again later but I wondered whether the
> 'close all the frame' thingy gave some hints.  Also, I should note that
> the patch for bug#50951 made this issue rarer (but still noticeable).

OK, so let's hope someone will get a hint from what you discovered.
Thanks for reporting it.